CREATE TABLE `tbl_interview_steps` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `createdBy` bigint(20) DEFAULT NULL,
  `createdDate` datetime DEFAULT NULL,
  `lastModifiedBy` bigint(20) DEFAULT NULL,
  `lastModifiedDate` datetime DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `role` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;


CREATE TABLE `tbl_interview_groups` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `createdBy` bigint(20) DEFAULT NULL,
  `createdDate` datetime DEFAULT NULL,
  `lastModifiedBy` bigint(20) DEFAULT NULL,
  `lastModifiedDate` datetime DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `step_id` int(11) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `step_id_ibfk_1` (`step_id`),
  CONSTRAINT `step_id_ibfk_1` FOREIGN KEY (`step_id`) REFERENCES `tbl_interview_steps` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;


CREATE TABLE `tbl_interview_questions` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `createdBy` bigint(20) DEFAULT NULL,
  `createdDate` datetime DEFAULT NULL,
  `lastModifiedBy` bigint(20) DEFAULT NULL,
  `lastModifiedDate` datetime DEFAULT NULL,
  `question` varchar(255) DEFAULT NULL,
  `type` varchar(255) DEFAULT NULL,
  `isRemark` bit(1) NOT NULL,
  `group_id` int(11) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `group_id_ibfk_1` (`group_id`),
  CONSTRAINT `group_id_ibfk_1` FOREIGN KEY (`group_id`) REFERENCES `tbl_interview_groups` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;


CREATE TABLE `tbl_interview_question_options` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `createdBy` bigint(20) DEFAULT NULL,
  `createdDate` datetime DEFAULT NULL,
  `lastModifiedBy` bigint(20) DEFAULT NULL,
  `lastModifiedDate` datetime DEFAULT NULL,
  `option` varchar(255) DEFAULT NULL,
  `lable` varchar(255) DEFAULT NULL,
  `value` varchar(255) DEFAULT NULL,
  `score` varchar(255) DEFAULT NULL,
  `question_id` int(11) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `question_id_ibfk_1` (`question_id`),
  CONSTRAINT `question_id_ibfk_1` FOREIGN KEY (`question_id`) REFERENCES `tbl_interview_questions` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;


CREATE TABLE `tbl_interview_question_results` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `user` varchar(255) DEFAULT NULL,
  `type` varchar(255) DEFAULT NULL,
  `account_id` int(11) unsigned NOT NULL,
  `question_id` int(11) unsigned NOT NULL,
  `result` varchar(255) DEFAULT NULL,
  `score` varchar(255) DEFAULT NULL,
  `remark` varchar(255) DEFAULT NULL,
  `step_id` int(11) unsigned NOT NULL,
  `group_id` int(11) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `question_id_ibfk_2` (`question_id`),
  CONSTRAINT `question_id_ibfk_2` FOREIGN KEY (`question_id`) REFERENCES `tbl_interview_questions` (`id`),
  KEY `group_id_ibfk_2` (`group_id`),
  CONSTRAINT `group_id_ibfk_2` FOREIGN KEY (`group_id`) REFERENCES `tbl_interview_groups` (`id`),
  KEY `step_id_ibfk_2` (`step_id`),
  CONSTRAINT `step_id_ibfk_2` FOREIGN KEY (`step_id`) REFERENCES `tbl_interview_steps` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;


CREATE TABLE `tbl_interview_results` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `user` varchar(255) DEFAULT NULL,
  `type` varchar(255) DEFAULT NULL,
  `account_id` int(11) unsigned NOT NULL,
  `remark` varchar(255) DEFAULT NULL,
  `action` varchar(255) DEFAULT NULL,
  `total_score` varchar(255) DEFAULT NULL,
  `given_score` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

